View Issue Details

IDProjectCategoryView StatusLast Update
0004577SymmetricDSBugpublic2020-10-26 14:02
Reporterjosh-a-hicks Assigned Tojosh-a-hicks  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.12.0 
Target Version3.12.5Fixed in Version3.12.5 
Summary0004577: Restrict pro tables from syncing to invalid versions and open source deployments
DescriptionCheck version and deployment type before sending pro tables to target nodes.
TagsNo tags attached.

Relationships

related to 0004483 closedJJ_Starrett Role tables are not filtered for pre-3.9 installations 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 c1a602ba

2020-10-02 08:56:19

josh-a-hicks

Details Diff
0004577: Restrict pro tables from syncing to invalid versions and open
source deployments
Affected Issues
0004577
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/Version.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2020-09-30 15:41 josh-a-hicks New Issue
2020-09-30 15:41 josh-a-hicks Status new => assigned
2020-09-30 15:41 josh-a-hicks Assigned To => josh-a-hicks
2020-10-02 13:23 josh-a-hicks Status assigned => resolved
2020-10-02 13:23 josh-a-hicks Resolution open => fixed
2020-10-02 13:23 josh-a-hicks Fixed in Version => 3.12.5
2020-10-02 14:00 josh-a-hicks Changeset attached => SymmetricDS 3.12 c1a602ba
2020-10-26 14:02 elong Relationship added related to 0004483